Subject: Re: [PATCH 10/17] bootwrapper: Add dt_set_mac_addresses().

From: David Gibson <[email-masked]>
Date: Sat, 24 Mar 2007 10:17:16 +1100

On Fri, Mar 23, 2007 at 05:37:47PM +0100, Segher Boessenkool wrote:
> >> Well, that's part of why I'm contemplating this idea:  it makes it
> >> clear to the reader whether this dts is intended to be complete, or
> >> whether it's intended that the bootloader adjust things.
> >
> > I would have no objection to a patch for DTC that makes it treat "?"
> > like "0".  This would probably make everyone happy.
> 
> Some nice poison pattern instead of 0 would be even
> better.

I was thinking of having the poison configurable on the command line,
though it would probably default to 0.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson